Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
patch-policy-targets
Listar objetivos de política de parches
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/patch-policy-targets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/patch-policy-targets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/patch-policy-targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": false,
  "data": [
    {
      "id": "66ab6cf4d4d2e709bafd404c",
      "name": "Base",
      "created_by": "6439606652fc0c0051f1787b",
      "created_at": "2024-08-01T11:09:40.719Z",
      "timezone": "UTC",
      "should_restart": true,
      "wake_on_lan": true,
      "force_patching_configuration": false,
      "is_in_maintenance": false,
      "weeks": [
        1,
        2
      ],
      "schedule": {
        "MONDAY": {},
        "TUESDAY": {},
        "WEDNESDAY": {},
        "THURSDAY": {
          "9": [
            15,
            30,
            45
          ],
          "10": [
            0,
            15,
            30,
            45
          ],
          "11": [
            0,
            15,
            30,
            45
          ],
          "12": [
            0,
            15,
            30,
            45
          ],
          "13": [
            0,
            15,
            30,
            45
          ],
          "14": [
            0,
            15,
            30,
            45
          ],
          "15": [
            0
          ]
        },
        "FRIDAY": {},
        "SATURDAY": {},
        "SUNDAY": {}
      },
      "patch_policy_target_type": "windows",
      "patch_policy_id": "507f1f77bcf86cd799439011"
    }
  ]
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la organización

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Parámetros de consulta

page
integer
predeterminado:1

Número de página (predeterminado: 1)

Rango requerido: x >= 1
per_page
integer
predeterminado:100

Elementos por página (predeterminado: 100, máx.: 100)

Rango requerido: 1 <= x <= 100
sort
string

Campo de ordenación con sufijo de orden opcional (:asc o :desc). Use los nombres de las propiedades de la respuesta. Campos válidos: id, name, created_at, timezone, should_restart, wake_on_lan, force_patching_configuration, is_in_maintenance, patch_policy_target_type. Ejemplo: "name:asc" o "created_at:desc"

fields
string

Lista de campos separada por comas para incluir en cada elemento de objetivo de política de parches. Campos seleccionables: id, name, created_by, created_at, timezone, should_restart, wake_on_lan, force_patching_configuration, is_in_maintenance, weeks, schedule, patch_policy_target_type, patch_policy_id. El campo id siempre se incluye.

Maximum string length: 2048
filters
string

Filtre objetivos de política de parches por uno o más criterios. Proporcione un objeto JSON con condiciones de filtro. Puede filtrar por cualquier campo devuelto en la respuesta. Use operadores de comparación (eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between) y combine múltiples condiciones con operadores lógicos (and, or). Longitud máxima: 5120 caracteres.

Maximum string length: 5120

Respuesta

Lista paginada de objetivos de política de parches recuperada correctamente.

has_next
boolean
requerido

Indica si hay más resultados disponibles en la siguiente página

data
object[]
requerido

Arreglo de objetos de objetivo de política de parches